Sunday, April 15, 2012

Time to Update the Adobe Reader

It is a good practice to keep all software on your computer up-to-date. I just receive a pop-up alert regarding Adobe Reader security update.


The release note for this update is available at http://helpx.adobe.com/acrobat/release-note/release-notes-acrobat-reader.html

Saturday, February 11, 2012

Building MySQL 5.5.20 on CentOS 5.7 from Source Tarball


Prerequisite
Install the following package using yum. Please remember to run yum using root.
shell> yum install cmake
shell> yum install ncurses-devel
shell> yum install gcc-c++

Download the Source Code
At the time of this blog, the current version of MySQL to be installed is version 5.5.20. The source tarball can be downloaded from www.mysql.com.

Unpack the Source Code
Run the following command to extract the MySQL 5.5.20 source tarball.
shell> gunzip -dc mysql-5.5.20.tar.gz | tar xvf -

Building the Source Code
Assuming MySQL 5.5.20 to be installed to the directory /opt/mysql-5.5.20 on the CentOS 5.7.
shell> cd mysql-5.5.20
shell> cmake . -DCMAKE_INSTALL_PREFIX=/opt/mysql-5.5.20 -DCURSES_LIBRARY=/usr/lib/libncurses.so -DCURSES_INCLUDE_PATH=/usr/include
shell> make
shell> make install
shell> cd /opt/mysql-5.5.20
shell> chown -R mysql:mysql .
shell> scripts/mysql_install_db --user=mysql
shell> chown -R root .
shell> chown -R mysql data
shell> cp support-files/my-medium.cnf /etc/my.cnf
shell> bin/mysqld_safe --user=mysql &
shell> cp support-files/mysql.server /etc/init.d/mysql.server

Startup and Shutdown Script
Login as root and run the following command to start or stop MySQL Server.
To Start MySQL 5.5.20: /etc/init.d/mysql.server start
To shutdown MySQL 5.5.20: /etc/init.d/mysql.server stop


Saturday, January 7, 2012

Specifying a Java Virtual Machine (JVM) for Eclipse IDE


In a developer machine with multiple Java SDK installed, you may specify which Java Virtual Machine (JVM) is used for your Eclipse IDE. To specify it, edit the “eclipse.ini” file as follow.

In my example, I have a Java 1.6.0_30 installed at “C:\Java\jdk1.6.0_30″.

The following is the ”eclipse.ini” file in the Eclipse IDE directory

-vm
C:/Java/jdk1.6.0_30/bin/javaw.exe
-startup
plugins/org.eclipse.equinox.launcher_1.0.201.R35x_v20090715.jar
–launcher.library
plugins/org.eclipse.equinox.launcher.win32.win32.x86_1.0.200.v20090519
-product
org.eclipse.epp.package.jee.product
–launcher.XXMaxPermSize
256M
-showsplash
org.eclipse.platform
–launcher.XXMaxPermSize
256m
-vmargs
-Dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx512m